Bug 474816 - Review Request: perl-Text-FindIndent - heuristically determine the indent style
Review Request: perl-Text-FindIndent - heuristically determine the indent style
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 09:09 EST by Marcela Mašláňová
Modified: 2008-12-10 02:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 02:21:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2008-12-05 09:09:56 EST
Spec URL: http://mmaslano.fedorapeople.org/perl-Text-FindIndent/perl-Text-FindIndent.spec
SRPM URL: http://mmaslano.fedorapeople.org/perl-Text-FindIndent/perl-Text-FindIndent-0.03-1.fc10.src.rpm
Description: This is an experimental distribution that attempts to intuit the underlying indent "policy" for a text file (most likely a source code file).
Comment 1 Jason Tibbitts 2008-12-06 18:01:23 EST
Not much to say about this one.

* source files match upstream.  sha256sum:
   89ad4545a3958331e999f54a9a5875271d398a0c4678b849e0d3ecb3c0a2ffa9  
   Text-FindIndent-0.03.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Text::FindIndent) = 0.03
   perl-Text-FindIndent = 0.03-1.fc11
  =
   perl >= 0:5.00503
   perl(:MODULE_COMPAT_5.10.0)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=35,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.05 cusr  0.00 
    csys =  0.06 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Marcela Mašláňová 2008-12-08 04:40:59 EST
Thank you for quick review.
Comment 3 Marcela Mašláňová 2008-12-08 04:43:03 EST
New Package CVS Request
=======================
Package Name: perl-Text-FindIndent
Short Description: heuristically determine the indent style 
Owners: mmaslano
Branches: F-10 devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 4 Kevin Fenzi 2008-12-09 22:32:25 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.